Description

The "Join attributes table" in "Vector general tools" fails to produce a correct attribute table if there are columns with the same name in

both layers. The values are inserted into the wrong columns.

I guess the tool should work with prefixes like the built-in join (in layer properties) does.

Tested with 2.0-20131120

History

#1 - 2013-12-11 12:54 PM - Anita Graser

One part of the fix could be

outFields = vector.combineVectorFields(layer,layer2)

#2 - 2013-12-13 01:42 PM - Anita Graser

not sure I did it right, but here's a pull request that fixes the issue for me https://github.com/qgis/QGIS/pull/1026

#3 - 2014-03-24 07:15 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Applied in master as commit:bb1380ea30

#4 - 2015-06-07 04:30 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
